Closed Bug 1315976 Opened 3 years ago Closed 3 years ago

Update in-tree version of compare-locales to 1.2.1

Categories

(Localization Infrastructure and Tools :: compare-locales, defect)

defect
Not set

Tracking

(Not tracked)

RESOLVED DUPLICATE of bug 1344782

People

(Reporter: Pike, Assigned: Pike)

References

Details

Attachments

(1 file)

Let's update to compare-locales 1.2.

I'll want to investigate bug 315970 first, though.

Also, the python requirements now are 2.7.6 due to a bug in python 2.7.5 and older in the regex engine. And we dropped 2.6 support completely. I'll file a bug on making sure our automation has that in a minute.
Depends on: 1315977
I've release 1.2.1 in the meantime, let's morph this bug. Also fix dependencies.
Blocks: 1315005
Depends on: 1315970
No longer depends on: 315970
Summary: Update in-tree version of compare-locales to 1.2 → Update in-tree version of compare-locales to 1.2.1
Assignee: nobody → l10n
Status: NEW → ASSIGNED
Comment on attachment 8814084 [details]
bug 1315976, update compare-locales to 1.2.1,

https://reviewboard.mozilla.org/r/95388/#review95526

I've been using this version for a few days now, both for the parser and for localizing central, and didn't notice any other issue.
Attachment #8814084 - Flags: review?(francesco.lodolo) → review+
Pushed by axel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/626c5d74b74c
update compare-locales to 1.2.1, r=flod
https://hg.mozilla.org/mozilla-central/rev/626c5d74b74c
Status: ASSIGNED → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
This breaks l10n nightlies on the mac. Let's see if we can fix this quickly in bug 1315977.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Resolving in favor of 1.2.3 in bug 1344782.
No longer blocks: 1315005
Status: REOPENED → RESOLVED
Closed: 3 years ago3 years ago
No longer depends on: 1315977
Resolution: --- → DUPLICATE
Duplicate of bug: 1344782
You need to log in before you can comment on or make changes to this bug.